Innhold

# Ikke operatør

Negerer et uttrykk ved å invertere bitverdiene.

## Syntaks

    Resultat = Ikke uttrykk

## Parameter

Resultat: Enhver numerisk variabel som inneholder resultatet av negasjonen.

Uttrykk: Ethvert uttrykk du vil oppheve.

Når et boolsk uttrykk negeres, endres verdien Sann til Usann, og verdien Usann endres til Sann.

I en bitvis negasjon inverteres hver enkelt bit.

## Eksempel:

    Sub ExampleNot
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = Ikke vA ' Returnerer -11
        vOut = Not(vC > vD) ' Returnerer -1
        vOut = Not(vB > vA) ' Returnerer -1
        vOut = Not(vA > vB) ' Returnerer 0
    End Sub

Supporter oss!